@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400;500;700;900&display=swap");

* {
    font-family: "Montserrat", sans-serif;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
    scroll-padding: 100px;
}

body {
    overflow-x: hidden;
}


.navbar-brand .text-sm {
    padding-left: 28px;
}

.rounded-lg {
    border-radius: 1rem !important;
    -webkit-border-radius: 1rem !important;
    -moz-border-radius: 1rem !important;
    -ms-border-radius: 1rem !important;
    -o-border-radius: 1rem !important;
}

.rounded-bottom-lg {
    border-radius: 0 0 1rem 1rem !important;
    -webkit-border-radius: 0 0 1rem 1rem !important;
    -moz-border-radius: 0 0 1rem 1rem !important;
    -ms-border-radius: 0 0 1rem 1rem !important;
    -o-border-radius: 0 0 1rem 1rem !important;
}

.loader {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #fff;
    left: 0;
    bottom: 0;
    z-index: 1059;
    text-align: center;
    align-items: center;
    display: flex;
    perspective: 2210px;
    perspective-origin: center;
}

.loader.out {
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
    transition: 2s ease-out;
    -webkit-transition: 2s ease-out;
    -moz-transition: 2s ease-out;
    -ms-transition: 2s ease-out;
    -o-transition: 2s ease-out;
    transform: scale(140);
    -webkit-transform: scale(140);
    -moz-transform: scale(140);
    -ms-transform: scale(140);
    -o-transform: scale(140);
    opacity: 0;
}

:root {
    --primary: #29aee1;
    --secondaryColor: #525252;
    --oppColor: #f3744d;
    font-size: 14px;
}

.p-relative {
    position: relative !important;
}

.bg-primary,
.btn-primary {
    background-color: #29aee1 !important;
}

.text-primary {
    color: var(--primary) !important;
}

.border-primary {
    border-color: var(--primary) !important;
}

.text-warning {
    color: var(--oppColor) !important;
}

.text-sm {
    font-size: small !important;
}

.bg-grad {
    background: linear-gradient(45deg, #2a4786, #399fb8);
}

main {
    min-height: 90vh;
}

@keyframes infRotate {
    from {
        transform: rotate(0);
        -webkit-transform: rotate(0);
        -moz-transform: rotate(0);
        -ms-transform: rotate(0);
        -o-transform: rotate(0);
    }

    to {
        transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
    }
}

footer {
    border-bottom: 25px solid #f0f0f0;
}
footer .container {
    border-radius: 20px 20px 0 0;
    -webkit-border-radius: 20px 20px 0 0;
    -moz-border-radius: 20px 20px 0 0;
    -ms-border-radius: 20px 20px 0 0;
    -o-border-radius: 20px 20px 0 0;
}

/* Navbar */
.lang::after {
    margin-left: -5px;
}

.nav-wrapper {
    border-radius: 0 0 25px 25px;
    transition: 1s ease;
    -webkit-transition: 1s ease;
    -moz-transition: 1s ease;
    -ms-transition: 1s ease;
    -o-transition: 1s ease;
    box-shadow: none;
    background: #fff;
}

.navbar-brand {
    font-size: 2.4rem;
    margin-left: 45px;
    margin-top: 15px;
    font-weight: bold;
    position: relative;
    transition: ease 0.4s;
    -webkit-transition: ease 0.4s;
    -moz-transition: ease 0.4s;
    -ms-transition: ease 0.4s;
    -o-transition: ease 0.4s;
    cursor: pointer;
}

.bottom-anim a {
    position: relative;
    overflow: hidden;
}

.nav-item.bottom-anim a:not(.dropdown-toggle):before {
    content: "";
    position: absolute;
    height: 7px;
    width: calc(100% - 10px);
    border-top: 5px solid var(--primary);
    transition: 0.5s ease;
    bottom: 0px;
    left: -100%;
}

.nav-item.bottom-anim a:not(.dropdown-toggle):hover:before {
    left: 10px;
}

.navbar a {
    color: var(--secondaryColor);
    font-size: 1.1rem;
    padding: 10px 8px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    transition: ease 0.3s;
    -webkit-transition: ease 0.3s;
    -moz-transition: ease 0.3s;
    -ms-transition: ease 0.3s;
    -o-transition: ease 0.3s;
}

.navbar a:not(.navbar-brand):hover {
    text-decoration: none;
    color: #444;
}

.navbar .active a {
    color: var(--secondaryColor);
    font-weight: bold;
}

.dropdown-menu {
    top: 35px;
    min-width: 12rem;
    left: unset;
    right: 0;
    padding: 10px 10px;
    border: 2px solid #f5f5f5;
    box-shadow: 0 20px 60px -20px #b5b7b7;
    border-radius: 12px;
}

.dropdown-item.active,
.dropdown-item:active {
    background: var(--primary);
}

.logotext {
    font-size: 3rem !important;
    color: var(--primary);
    margin-right: 10px;
    display: block;
    margin-bottom: -20px;
}

.navbar-brand::before {
    content: "";
    position: absolute;
    background-color: #444;
    width: 15px;
    height: 15px;
    left: -1rem;
    top: 2.5rem;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    -webkit-border-radius: 50%;
}

.headline {
    font-size: 4.5rem;
    font-weight: 600;
    line-height: normal;
}

.subline {
    font-size: 2.5rem;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 25px;
    margin-top: 15px;
}

/* .headline,
.subline {
    text-shadow:
        9px 9px 6px #ffffff,
        9px -9px 6px #ffffff,
        9px -0px 6px #ffffff,
        -9px 9px 6px #ffffff,
        -9px -9px 6px #ffffff,
        -9px 0px 6px #ffffff,
        0 9px 6px #ffffff,
        0 -9px 6px #ffffff;

} */

.btn-cta {
    background: var(--primary);
    padding: 16px 30px;
    font-size: 1.4rem;
    color: #fff;
    margin: 10px 0;
    box-shadow: 0 35px 29px -21px #0090c8 !important;
    display: inline-block;
    transition: 0.3s ease;
    border-radius: 32px;
    -webkit-border-radius: 32px;
    -moz-border-radius: 32px;
    -ms-border-radius: 32px;
    -o-border-radius: 32px;
}

.btn-cta:hover {
    text-decoration: none;
    margin-top: 5px;
    color: #fff;
    box-shadow: 0 47px 36px -23px #0090c8 !important;
}

.theList ::placeholder {
    color: #ccc !important;
    opacity: 1;
}

.theList :-ms-input-placeholder {
    color: #ccc !important;
}

.theList ::-ms-input-placeholder {
    color: #ccc !important;
}

.fw {
    width: 100%;
}

.text-secondary {
    color: var(--secondaryColor) !important;
}

/* Login Form */

.loginForm {
    min-width: 60%;
}

.loginForm .header {
    color: #fff;
    font-size: 2rem;
    margin-bottom: 15px;
}

.loginForm .input-group:not(.btn) {
    border: 3px solid var(--primary);
    background: #f5f5f5;
    text-align: center;
    border-radius: 35px;
    -webkit-border-radius: 35px;
    -moz-border-radius: 35px;
    -ms-border-radius: 35px;
    -o-border-radius: 35px;
}

.loginForm input[type="submit"] {
    background: var(--secondaryColor);
    color: #fff;
    text-align: center;
    border-radius: 35px;
    -webkit-border-radius: 35px;
    -moz-border-radius: 35px;
    -ms-border-radius: 35px;
    -o-border-radius: 35px;
}

.loginForm .input-group-text,
.loginForm input {
    background: none;
    border: none;
    border-radius: 35px;
}

.loginMessage {
    font-size: 0.9rem;
    color: #fff;
}

.loginWith {
    color: var(--secondaryColor);
    width: 90%;
}

.loginWith .fab {
    font-size: 1.4rem;
    color: var(--secondaryColor);
}

/* Content */

.content {
    flex: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 100px;
}

.content .title {
    font-size: 4rem;
    color: var(--primary);
    margin-bottom: 0;
}

/* Preferences */

.font-lg {
    font-size: large;
}

.font-xl {
    font-size: x-large;
}

img.flipped {
    width: auto !important;
    transform: rotateY(180deg) rotate(20deg);
    float: right;
    -webkit-transform: rotateY(180deg) rotate(20deg);
    -moz-transform: rotateY(180deg) rotate(20deg);
    -ms-transform: rotateY(180deg) rotate(20deg);
    -o-transform: rotateY(180deg) rotate(20deg);
}

/* the list */
.sampleList {
    padding: 15px;
    background: #fff;
    border-radius: 5px;
    box-shadow: 0 0 25px #ccc;
    transform: rotate(-2deg);
    -webkit-transform: rotate(-2deg);
    -moz-transform: rotate(-2deg);
    -ms-transform: rotate(-2deg);
    -o-transform: rotate(-2deg);
    position: relative;
}

.input-group-text {
    background: var(--primary);
    color: #fff;
    border: none;
}

.theList .form-control {
    background: #fff;
}

.theList .active .input-group-text {
    background: var(--oppColor);
    color: #fff;
    border: none;
}

.theList .active .form-control {
    color: var(--oppColor);
}

.theList .form-control:focus {
    box-shadow: none;
}

/* 
.theList .prefIcon {
    margin: 0 10px; 
    transition: .4s;
    -webkit-transition: .4s;
    -moz-transition: .4s;
    -ms-transition: .4s;
    -o-transition: .4s;
} */

.noLoginInfo {
    width: 120px;
    height: auto;
    padding: 10px;
    position: absolute;
    right: -130px;
    top: -30px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    transform: rotate(15deg);
    -webkit-transform: rotate(15deg);
    -moz-transform: rotate(15deg);
    -ms-transform: rotate(15deg);
    -o-transform: rotate(15deg);
    font-size: 0.8rem;
}

.noLoginInfo span:not(:nth-child(3)) {
    display: block;
    color: var(--oppColor);
    font-size: 1rem;
    margin: 0;
}

.noLoginInfo .arrow {
    height: 50px;
    width: 50px;
    background: url(../img/hw-arrow.svg);
    background-size: contain;
    content: "";
    display: block;
    background-repeat: no-repeat;
    position: absolute;
    bottom: -50px;
    left: 0px;
    z-index: 9;
}

.invalidMsg {
    z-index: 999;
    background: #29aee1;
    padding: 5px;
    border-radius: 5px;
    color: yellow;
}

#copyLinkArea,
#copyLinkArea:focus {
    padding: 18px 0;
    width: 100%;
    text-align: center;
    font-size: large;
    border: 1px solid #ccc;
    background-color: #f5f5f5;
    color: #000;
    resize: none;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    outline: none;
    margin-bottom: 20px;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
}

/*Icon Modal*/

div#selectIconModal a i {
    padding: 9px;
    margin: 5px;
    text-align: center;
    vertical-align: middle;
    display: inline-block;
    border-radius: 5px;
    font-size: x-large;
    color: var(--secondaryColor);
    background: #fff;
    box-shadow: 0 10px 15px -5px #ccc;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    transition: 0.3s ease;
    -webkit-transition: 0.3s ease;
    -moz-transition: 0.3s ease;
    -ms-transition: 0.3s ease;
    -o-transition: 0.3s ease;
}

div#selectIconModal a:hover > i {
    background: #c8f4ff;
}

/*Dashboard*/

.dashboard .form-inline {
    padding: 0 25px;
    border-radius: 100px;
    background: #fff;
    margin-top: 15px;
    border: 1px solid #ddd;
}

.dashboard .form-inline a {
    padding: 20px 30px;
    margin: 10px 0;
    color: var(--secondaryColor);
    font-weight: bold;
    font-size: large;
    transition: 0.4s ease;
    border-radius: 5px;
}

.dashboard .form-inline a:hover {
    text-shadow: none !important;
    background: #eee;
}

.liCard {
    background: #fff;
    border-radius: 15px;
    text-align: center;
    display: flex;
    justify-content: center;
    text-decoration: none !important;
    margin: 15px 0;
    transition: 0.3s ease-out;
    -webkit-transition: 0.3s ease-out;
    -moz-transition: 0.3s ease-out;
    -ms-transition: 0.3s ease-out;
    -o-transition: 0.3s ease-out;
    box-shadow: 0 40px 40px -29px #bbb;
}

.liCard:hover {
    box-shadow: 0 40px 50px -25px #888;
}

.liCard a {
    text-decoration: none;
}

.liCard .title {
    color: var(--secondaryColor);
    padding: 5px;
    font-weight: bold;
    font-size: 1.3rem;
}

.liCard .numbers {
    font-size: 1.6rem;
    margin: 7px 0;
    font-weight: bold;
    padding: 15px 0;
}

.liCard .button-group {
    box-shadow: 0 0 35px -6px #ccc;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    border-radius: 0 10px 10px 0;
}

::placeholder {
    color: #ccc !important;
    opacity: 1;
}

:-ms-input-placeholder {
    color: #ccc !important;
}

::-ms-input-placeholder {
    color: #ccc !important;
}

/* list inputs */

.input-group-wrapper {
    border: 3px solid #f5f5f5;
    border-radius: 12px;
    display: flex;
    overflow: hidden;
    flex-direction: row;
    position: relative;
    box-shadow: 18px 18px 30px #d1d9e6, -18px -18px 30px #ebebeb;
    z-index: 2;
}

.input-group-wrapper.disabled {
    border-color: #fff;
    z-index: 1;
}

.input-group-wrapper:not(.disabled) input,
.input-group-wrapper:not(.disabled) textarea {
    box-shadow: 0 0 20px -7px #979797 inset;
}

.input-group-wrapper.disabled input {
    background: #fff !important;
    color: #de8080;
    font-style: italic;
}

.input-group-wrapper input:focus-visible,
.input-group-wrapper textarea:focus-visible {
    outline: none;
    box-shadow: 0px 0px 13px -5px #35aaee inset;
}

.delete-button-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
    width: 45px;
    background: #fff;
}

.delete-button {
    border: none;
    left: 0;
    position: relative;
    transition: 0.3s ease;
    height: 100%;
    width: 100%;
    background: white;
    color: #ff005a;
    border-radius: 8px;
    outline: none !important;
    box-shadow: none;
}

.input-group-wrapper:hover .delete-button:not(:disabled) {
    left: 0;
}

.text-lg {
    font-size: large;
}

.input-desc {
    font-weight: 500;
}

#featured_img_wrapper .marker {
    cursor: pointer;
    position: absolute;
    display: inline-block;
    text-decoration: none;
    width: 20px;
    height: 20px;
    background: #fff;
    border-radius: 50%;
    font-size: small;
    font-weight: bold;
    z-index: 999;
    border: none;
    color: #444;
    box-shadow: 0 0 5px;
    opacity: 0;
    animation: fadeInLate 0.3s ease both;
    -webkit-animation: fadeInLate 0.3s ease both;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
}

#featured_img_wrapper .marker:not([disabled])::before {
    content: "";
    position: absolute;
    width: 26px;
    height: 26px;
    z-index: -1;
    left: -3px;
    top: -3px;
    border-radius: 50%;
    background: #ffffffa6;
    /* box-shadow: 0 0 5px 0px #ccc; */
    border: 8px solid #fff;
    animation: marker-animation 1.3s cubic-bezier(0.075, 0.82, 0.165, 1)
        infinite;
}

#featured_img_wrapper .marker[disabled] {
    background: #4e4e4e;
    box-shadow: 0 0 5px 1px #fff;
    color: #ccc;
    cursor: no-drop;
}

@media (max-width: 749px) {
    .nav-wrapper {
        box-shadow: 0 26px 26px -10px #e8e8e8;
    }
}

.g-recaptcha {
    display: inline-block;
    text-align: left;
    padding: 0 10px;
}
.g-recaptcha > div {
    display: inline-block;
}

@keyframes marker-animation {
    0% {
        transform: scale(0.5);
        opacity: 1;
    }

    100% {
        transform: scale(1.4);
        opacity: 0;
    }
}

@keyframes zoomIn {
    0% {
        transform: scale(2);
        -webkit-transform: scale(2);
        -moz-transform: scale(2);
        -ms-transform: scale(2);
        -o-transform: scale(2);
    }

    100% {
        transform: scale(1);
        -webkit-transform: scale(1);
        -moz-transform: scale(1);
        -ms-transform: scale(1);
        -o-transform: scale(1);
    }
}

.blink-anim {
    -webkit-animation: blink-anim 0.6s both;
    animation: blink-anim 0.6s both;
    background: #fff !important;
    color: #222 !important;
    border: 1px solid limegreen !important;
}

@-webkit-keyframes blink-anim {
    0%,
    50%,
    100% {
        opacity: 1;
    }

    25%,
    75% {
        opacity: 0;
    }
}

@keyframes blink-anim {
    0%,
    50%,
    100% {
        opacity: 1;
    }

    25%,
    75% {
        opacity: 0;
    }
}

@keyframes fadeInLate {
    0% {
        transform: translate(-50%, -50%) scale(0);
        -webkit-transform: translate(-50%, -50%) scale(0);
        -moz-transform: translate(-50%, -50%) scale(0);
        -ms-transform: translate(-50%, -50%) scale(0);
        -o-transform: translate(-50%, -50%) scale(0);
        opacity: 1;
    }

    100% {
        transform: translate(-50%, -50%) scale(1);
        -webkit-transform: translate(-50%, -50%) scale(1);
        -moz-transform: translate(-50%, -50%) scale(1);
        -ms-transform: translate(-50%, -50%) scale(1);
        -o-transform: translate(-50%, -50%) scale(1);
        opacity: 1;
    }
}
